#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(spi_dv_device, "", "");
KSYMTAB_FUNC(spi_schedule_dv_device, "", "");
KSYMTAB_FUNC(spi_display_xfer_agreement, "", "");
KSYMTAB_FUNC(spi_populate_width_msg, "_gpl", "");
KSYMTAB_FUNC(spi_populate_sync_msg, "_gpl", "");
KSYMTAB_FUNC(spi_populate_ppr_msg, "_gpl", "");
KSYMTAB_FUNC(spi_populate_tag_msg, "_gpl", "");
KSYMTAB_FUNC(spi_print_msg, "", "");
KSYMTAB_FUNC(spi_attach_transport, "", "");
KSYMTAB_FUNC(spi_release_transport, "", "");

SYMBOL_CRC(spi_dv_device, 0xf9d0bb78, "");
SYMBOL_CRC(spi_schedule_dv_device, 0x0340650f, "");
SYMBOL_CRC(spi_display_xfer_agreement, 0xa16b28f2, "");
SYMBOL_CRC(spi_populate_width_msg, 0xcffa2aff, "_gpl");
SYMBOL_CRC(spi_populate_sync_msg, 0xa0c71dac, "_gpl");
SYMBOL_CRC(spi_populate_ppr_msg, 0x0ef06974, "_gpl");
SYMBOL_CRC(spi_populate_tag_msg, 0x18dfb400, "_gpl");
SYMBOL_CRC(spi_print_msg, 0x3686ea09, "");
SYMBOL_CRC(spi_attach_transport, 0x7337b7e1, "");
SYMBOL_CRC(spi_release_transport, 0x3343c50d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdba5c481, "_dev_printk" },
	{ 0x28b34f41, "scsi_execute_cmd" },
	{ 0xdcb764ad, "memset" },
	{ 0xa8d868c7, "scsi_device_set_state" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9d04fc66, "sdev_prefix_printk" },
	{ 0x8d158c1a, "scsi_is_host_device" },
	{ 0x2fad8d7b, "device_for_each_child" },
	{ 0xf9016cb0, "scsi_is_sdev_device" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x47c1955a, "sysfs_update_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x204c5067, "scsi_dev_info_add_list" },
	{ 0x2733eaf7, "scsi_dev_info_list_add_keyed" },
	{ 0xd19c96de, "transport_class_register" },
	{ 0x80bcee1e, "anon_transport_class_register" },
	{ 0x8ad26ca0, "scsi_get_device_flags_keyed" },
	{ 0x876e5cd3, "_dev_info" },
	{ 0xe760122c, "transport_class_unregister" },
	{ 0xd216666d, "anon_transport_class_unregister" },
	{ 0x97bdfa60, "scsi_dev_info_remove_list" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0x5c28f21, "scsi_autopm_get_device" },
	{ 0x55fdc591, "scsi_device_get" },
	{ 0xe61a6d75, "kmalloc_caches" },
	{ 0x29977925, "kmalloc_trace" },
	{ 0x2db9a493, "scsi_device_quiesce" },
	{ 0x8d006242, "scsi_target_quiesce" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xea2cde71, "scsi_target_resume" },
	{ 0x37a0cba, "kfree" },
	{ 0xfad46783, "scsi_device_put" },
	{ 0x72662bf4, "scsi_autopm_put_device" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc2ce3f1f, "attribute_container_register" },
	{ 0x4f5df2cc, "attribute_container_unregister" },
	{ 0xb7044e2b, "sysfs_chmod_file" },
	{ 0x1386dcec, "scsi_is_target_device" },
	{ 0x5a921311, "strncmp" },
	{ 0x98cf60b3, "strlen" },
	{ 0x122c3a7e, "_printk" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "");

